diff -urN Original_4.4.4_r1/frameworks/base/media/java/android/media/MediaPlayer.java AndroidSource/frameworks/base/media/java/android/media/MediaPlayer.java
--- Original_4.4.4_r1/frameworks/base/media/java/android/media/MediaPlayer.java	2016-01-29 15:12:31.439488000 +0900
+++ AndroidSource/frameworks/base/media/java/android/media/MediaPlayer.java	2016-09-26 18:37:06.839666097 +0900
@@ -1850,7 +3253,7 @@
 
         TrackInfo[] tracks = getInbandTrackInfo();
         SubtitleTrack[] inbandTracks = new SubtitleTrack[tracks.length];
-        for (int i=0; i < tracks.length; i++) {
+        for (int i = 0; i < tracks.length; i++) {
             if (tracks[i].getTrackType() == TrackInfo.MEDIA_TRACK_TYPE_SUBTITLE) {
                 if (i < mInbandSubtitleTracks.length) {
                     inbandTracks[i] = mInbandSubtitleTracks[i];
@@ -1865,18 +3268,20 @@
         mSubtitleController.selectDefaultTrack();
     }
 
-    /* TODO: Limit the total number of external timed text source to a reasonable number.
+    /*
+     * TODO: Limit the total number of external timed text source to a
+     * reasonable number.
      */
     /**
-     * Adds an external timed text source file.
-     *
-     * Currently supported format is SubRip with the file extension .srt, case insensitive.
-     * Note that a single external timed text source may contain multiple tracks in it.
-     * One can find the total number of available tracks using {@link #getTrackInfo()} to see what
-     * additional tracks become available after this method call.
-     *
+     * Adds an external timed text source file. Currently supported format is
+     * SubRip with the file extension .srt, case insensitive. Note that a single
+     * external timed text source may contain multiple tracks in it. One can
+     * find the total number of available tracks using {@link #getTrackInfo()}
+     * to see what additional tracks become available after this method call.
+     * 
      * @param path The file path of external timed text source file.
-     * @param mimeType The mime type of the file. Must be one of the mime types listed above.
+     * @param mimeType The mime type of the file. Must be one of the mime types
+     *            listed above.
      * @throws IOException if the file cannot be accessed or is corrupted.
      * @throws IllegalArgumentException if the mimeType is not supported.
      * @throws IllegalStateException if called in an invalid state.
@@ -1901,16 +3306,17 @@
     }
 
     /**
-     * Adds an external timed text source file (Uri).
-     *
-     * Currently supported format is SubRip with the file extension .srt, case insensitive.
-     * Note that a single external timed text source may contain multiple tracks in it.
-     * One can find the total number of available tracks using {@link #getTrackInfo()} to see what
-     * additional tracks become available after this method call.
-     *
+     * Adds an external timed text source file (Uri). Currently supported format
+     * is SubRip with the file extension .srt, case insensitive. Note that a
+     * single external timed text source may contain multiple tracks in it. One
+     * can find the total number of available tracks using
+     * {@link #getTrackInfo()} to see what additional tracks become available
+     * after this method call.
+     * 
      * @param context the Context to use when resolving the Uri
      * @param uri the Content URI of the data you want to play
-     * @param mimeType The mime type of the file. Must be one of the mime types listed above.
+     * @param mimeType The mime type of the file. Must be one of the mime types
+     *            listed above.
      * @throws IOException if the file cannot be accessed or is corrupted.
      * @throws IllegalArgumentException if the mimeType is not supported.
      * @throws IllegalStateException if called in an invalid state.
@@ -1918,7 +3324,7 @@
     public void addTimedTextSource(Context context, Uri uri, String mimeType)
             throws IOException, IllegalArgumentException, IllegalStateException {
         String scheme = uri.getScheme();
-        if(scheme == null || scheme.equals("file")) {
+        if (scheme == null || scheme.equals("file")) {
             addTimedTextSource(uri.getPath(), mimeType);
             return;
         }
@@ -1942,18 +3348,17 @@
     }
 
     /**
-     * Adds an external timed text source file (FileDescriptor).
-     *
-     * It is the caller's responsibility to close the file descriptor.
-     * It is safe to do so as soon as this call returns.
-     *
-     * Currently supported format is SubRip. Note that a single external timed text source may
-     * contain multiple tracks in it. One can find the total number of available tracks
-     * using {@link #getTrackInfo()} to see what additional tracks become available
+     * Adds an external timed text source file (FileDescriptor). It is the
+     * caller's responsibility to close the file descriptor. It is safe to do so
+     * as soon as this call returns. Currently supported format is SubRip. Note
+     * that a single external timed text source may contain multiple tracks in
+     * it. One can find the total number of available tracks using
+     * {@link #getTrackInfo()} to see what additional tracks become available
      * after this method call.
-     *
+     * 
      * @param fd the FileDescriptor for the file you want to play
-     * @param mimeType The mime type of the file. Must be one of the mime types listed above.
+     * @param mimeType The mime type of the file. Must be one of the mime types
+     *            listed above.
      * @throws IllegalArgumentException if the mimeType is not supported.
      * @throws IllegalStateException if called in an invalid state.
      */
@@ -1964,27 +3369,28 @@
     }
 
     /**
-     * Adds an external timed text file (FileDescriptor).
-     *
-     * It is the caller's responsibility to close the file descriptor.
-     * It is safe to do so as soon as this call returns.
-     *
-     * Currently supported format is SubRip. Note that a single external timed text source may
-     * contain multiple tracks in it. One can find the total number of available tracks
-     * using {@link #getTrackInfo()} to see what additional tracks become available
+     * Adds an external timed text file (FileDescriptor). It is the caller's
+     * responsibility to close the file descriptor. It is safe to do so as soon
+     * as this call returns. Currently supported format is SubRip. Note that a
+     * single external timed text source may contain multiple tracks in it. One
+     * can find the total number of available tracks using
+     * {@link #getTrackInfo()} to see what additional tracks become available
      * after this method call.
-     *
+     * 
      * @param fd the FileDescriptor for the file you want to play
-     * @param offset the offset into the file where the data to be played starts, in bytes
+     * @param offset the offset into the file where the data to be played
+     *            starts, in bytes
      * @param length the length in bytes of the data to be played
-     * @param mimeType The mime type of the file. Must be one of the mime types listed above.
+     * @param mimeType The mime type of the file. Must be one of the mime types
+     *            listed above.
      * @throws IllegalArgumentException if the mimeType is not supported.
      * @throws IllegalStateException if called in an invalid state.
      */
     public void addTimedTextSource(FileDescriptor fd, long offset, long length, String mimeType)
             throws IllegalArgumentException, IllegalStateException {
         if (!availableMimeTypeForExternalSource(mimeType)) {
-            throw new IllegalArgumentException("Illegal mimeType for timed text source: " + mimeType);
+            throw new IllegalArgumentException("Illegal mimeType for timed text source: "
+                    + mimeType);
         }
 
         Parcel request = Parcel.obtain();
@@ -2006,29 +3412,32 @@
     /**
      * Selects a track.
      * <p>
-     * If a MediaPlayer is in invalid state, it throws an IllegalStateException exception.
-     * If a MediaPlayer is in <em>Started</em> state, the selected track is presented immediately.
-     * If a MediaPlayer is not in Started state, it just marks the track to be played.
+     * If a MediaPlayer is in invalid state, it throws an IllegalStateException
+     * exception. If a MediaPlayer is in <em>Started</em> state, the selected
+     * track is presented immediately. If a MediaPlayer is not in Started state,
+     * it just marks the track to be played.
      * </p>
      * <p>
-     * In any valid state, if it is called multiple times on the same type of track (ie. Video,
-     * Audio, Timed Text), the most recent one will be chosen.
+     * In any valid state, if it is called multiple times on the same type of
+     * track (ie. Video, Audio, Timed Text), the most recent one will be chosen.
      * </p>
      * <p>
-     * The first audio and video tracks are selected by default if available, even though
-     * this method is not called. However, no timed text track will be selected until
-     * this function is called.
+     * The first audio and video tracks are selected by default if available,
+     * even though this method is not called. However, no timed text track will
+     * be selected until this function is called.
      * </p>
      * <p>
-     * Currently, only timed text tracks or audio tracks can be selected via this method.
-     * In addition, the support for selecting an audio track at runtime is pretty limited
-     * in that an audio track can only be selected in the <em>Prepared</em> state.
+     * Currently, only timed text tracks or audio tracks can be selected via
+     * this method. In addition, the support for selecting an audio track at
+     * runtime is pretty limited in that an audio track can only be selected in
+     * the <em>Prepared</em> state.
      * </p>
-     * @param index the index of the track to be selected. The valid range of the index
-     * is 0..total number of track - 1. The total number of tracks as well as the type of
-     * each individual track can be found by calling {@link #getTrackInfo()} method.
+     * 
+     * @param index the index of the track to be selected. The valid range of
+     *            the index is 0..total number of track - 1. The total number of
+     *            tracks as well as the type of each individual track can be
+     *            found by calling {@link #getTrackInfo()} method.
      * @throws IllegalStateException if called in an invalid state.
-     *
      * @see android.media.MediaPlayer#getTrackInfo
      */
     public void selectTrack(int index) throws IllegalStateException {
@@ -2038,15 +3447,16 @@
     /**
      * Deselect a track.
      * <p>
-     * Currently, the track must be a timed text track and no audio or video tracks can be
-     * deselected. If the timed text track identified by index has not been
-     * selected before, it throws an exception.
+     * Currently, the track must be a timed text track and no audio or video
+     * tracks can be deselected. If the timed text track identified by index has
+     * not been selected before, it throws an exception.
      * </p>
-     * @param index the index of the track to be deselected. The valid range of the index
-     * is 0..total number of tracks - 1. The total number of tracks as well as the type of
-     * each individual track can be found by calling {@link #getTrackInfo()} method.
+     * 
+     * @param index the index of the track to be deselected. The valid range of
+     *            the index is 0..total number of tracks - 1. The total number
+     *            of tracks as well as the type of each individual track can be
+     *            found by calling {@link #getTrackInfo()} method.
      * @throws IllegalStateException if called in an invalid state.
-     *
      * @see android.media.MediaPlayer#getTrackInfo
      */
     public void deselectTrack(int index) throws IllegalStateException {
@@ -2083,7 +3493,7 @@
         Parcel reply = Parcel.obtain();
         try {
             request.writeInterfaceToken(IMEDIA_PLAYER);
-            request.writeInt(select? INVOKE_ID_SELECT_TRACK: INVOKE_ID_DESELECT_TRACK);
+            request.writeInt(select ? INVOKE_ID_SELECT_TRACK : INVOKE_ID_DESELECT_TRACK);
             request.writeInt(index);
             invoke(request, reply);
         } finally {
@@ -2092,41 +3502,33 @@
         }
     }
 
-
     /**
-     * @param reply Parcel with audio/video duration info for battery
-                    tracking usage
-     * @return The status code.
-     * {@hide}
+     * @param reply Parcel with audio/video duration info for battery tracking
+     *            usage
+     * @return The status code. {@hide}
      */
     public native static int native_pullBatteryData(Parcel reply);
 
     /**
      * Sets the target UDP re-transmit endpoint for the low level player.
      * Generally, the address portion of the endpoint is an IP multicast
-     * address, although a unicast address would be equally valid.  When a valid
+     * address, although a unicast address would be equally valid. When a valid
      * retransmit endpoint has been set, the media player will not decode and
-     * render the media presentation locally.  Instead, the player will attempt
+     * render the media presentation locally. Instead, the player will attempt
      * to re-multiplex its media data using the Android@Home RTP profile and
-     * re-transmit to the target endpoint.  Receiver devices (which may be
-     * either the same as the transmitting device or different devices) may
+     * re-transmit to the target endpoint. Receiver devices (which may be either
+     * the same as the transmitting device or different devices) may
      * instantiate, prepare, and start a receiver player using a setDataSource
-     * URL of the form...
-     *
-     * aahRX://&lt;multicastIP&gt;:&lt;port&gt;
-     *
-     * to receive, decode and render the re-transmitted content.
-     *
-     * setRetransmitEndpoint may only be called before setDataSource has been
-     * called; while the player is in the Idle state.
-     *
+     * URL of the form... aahRX://&lt;multicastIP&gt;:&lt;port&gt; to receive,
+     * decode and render the re-transmitted content. setRetransmitEndpoint may
+     * only be called before setDataSource has been called; while the player is
+     * in the Idle state.
+     * 
      * @param endpoint the address and UDP port of the re-transmission target or
-     * null if no re-transmission is to be performed.
+     *            null if no re-transmission is to be performed.
      * @throws IllegalStateException if it is called in an invalid state
      * @throws IllegalArgumentException if the retransmit endpoint is supplied,
-     * but invalid.
-     *
-     * {@hide} pending API council
+     *             but invalid. {@hide} pending API council
      */
     public void setRetransmitEndpoint(InetSocketAddress endpoint)
             throws IllegalStateException, IllegalArgumentException
@@ -2148,10 +3550,13 @@
     private native final int native_setRetransmitEndpoint(String addrString, int port);
 
     @Override
-    protected void finalize() { native_finalize(); }
+    protected void finalize() {
+        native_finalize();
+    }
 
-    /* Do not change these values without updating their counterparts
-     * in include/media/mediaplayer.h!
+    /*
+     * Do not change these values without updating their counterparts in
+     * include/media/mediaplayer.h!
      */
     private static final int MEDIA_NOP = 0; // interface test message
     private static final int MEDIA_PREPARED = 1;
@@ -2193,141 +3598,144 @@
                 Log.w(TAG, "mediaplayer went away with unhandled events");
                 return;
             }
-            switch(msg.what) {
-            case MEDIA_PREPARED:
-                scanInternalSubtitleTracks();
-                if (mOnPreparedListener != null)
-                    mOnPreparedListener.onPrepared(mMediaPlayer);
-                return;
-
-            case MEDIA_PLAYBACK_COMPLETE:
-                if (mOnCompletionListener != null)
-                    mOnCompletionListener.onCompletion(mMediaPlayer);
-                stayAwake(false);
-                return;
+            switch (msg.what) {
+                case MEDIA_PREPARED:
+                    scanInternalSubtitleTracks();
+                    if (mOnPreparedListener != null)
+                        mOnPreparedListener.onPrepared(mMediaPlayer);
+                    return;
 
-            case MEDIA_STOPPED:
-                if (mTimeProvider != null) {
-                    mTimeProvider.onStopped();
-                }
-                break;
+                case MEDIA_PLAYBACK_COMPLETE:
+                    if (mOnCompletionListener != null)
+                        mOnCompletionListener.onCompletion(mMediaPlayer);
+                    stayAwake(false);
+                    return;
 
-            case MEDIA_STARTED:
-            case MEDIA_PAUSED:
-                if (mTimeProvider != null) {
-                    mTimeProvider.onPaused(msg.what == MEDIA_PAUSED);
-                }
-                break;
+                case MEDIA_STOPPED:
+                    if (mTimeProvider != null) {
+                        mTimeProvider.onStopped();
+                    }
+                    break;
 
-            case MEDIA_BUFFERING_UPDATE:
-                if (mOnBufferingUpdateListener != null)
-                    mOnBufferingUpdateListener.onBufferingUpdate(mMediaPlayer, msg.arg1);
-                return;
+                case MEDIA_STARTED:
+                case MEDIA_PAUSED:
+                    if (mTimeProvider != null) {
+                        mTimeProvider.onPaused(msg.what == MEDIA_PAUSED);
+                    }
+                    break;
 
-            case MEDIA_SEEK_COMPLETE:
-              if (mOnSeekCompleteListener != null) {
-                  mOnSeekCompleteListener.onSeekComplete(mMediaPlayer);
-              }
-              // fall through
-
-            case MEDIA_SKIPPED:
-              if (mTimeProvider != null) {
-                  mTimeProvider.onSeekComplete(mMediaPlayer);
-              }
-              return;
-
-            case MEDIA_SET_VIDEO_SIZE:
-              if (mOnVideoSizeChangedListener != null)
-                  mOnVideoSizeChangedListener.onVideoSizeChanged(mMediaPlayer, msg.arg1, msg.arg2);
-              return;
-
-            case MEDIA_ERROR:
-                Log.e(TAG, "Error (" + msg.arg1 + "," + msg.arg2 + ")");
-                boolean error_was_handled = false;
-                if (mOnErrorListener != null) {
-                    error_was_handled = mOnErrorListener.onError(mMediaPlayer, msg.arg1, msg.arg2);
-                }
-                if (mOnCompletionListener != null && ! error_was_handled) {
-                    mOnCompletionListener.onCompletion(mMediaPlayer);
-                }
-                stayAwake(false);
-                return;
+                case MEDIA_BUFFERING_UPDATE:
+                    if (mOnBufferingUpdateListener != null)
+                        mOnBufferingUpdateListener.onBufferingUpdate(mMediaPlayer, msg.arg1);
+                    return;
 
-            case MEDIA_INFO:
-                switch (msg.arg1) {
-                case MEDIA_INFO_VIDEO_TRACK_LAGGING:
-                    Log.i(TAG, "Info (" + msg.arg1 + "," + msg.arg2 + ")");
-                    break;
-                case MEDIA_INFO_METADATA_UPDATE:
-                    scanInternalSubtitleTracks();
+                case MEDIA_SEEK_COMPLETE:
+                    if (mOnSeekCompleteListener != null) {
+                        mOnSeekCompleteListener.onSeekComplete(mMediaPlayer);
+                    }
                     // fall through
 
-                case MEDIA_INFO_EXTERNAL_METADATA_UPDATE:
-                    msg.arg1 = MEDIA_INFO_METADATA_UPDATE;
-                    // update default track selection
-                    mSubtitleController.selectDefaultTrack();
-                    break;
-                }
+                case MEDIA_SKIPPED:
+                    if (mTimeProvider != null) {
+                        mTimeProvider.onSeekComplete(mMediaPlayer);
+                    }
+                    return;
 
-                if (mOnInfoListener != null) {
-                    mOnInfoListener.onInfo(mMediaPlayer, msg.arg1, msg.arg2);
-                }
-                // No real default action so far.
-                return;
-            case MEDIA_TIMED_TEXT:
-                if (mOnTimedTextListener == null)
+                case MEDIA_SET_VIDEO_SIZE:
+                    if (mOnVideoSizeChangedListener != null)
+                        mOnVideoSizeChangedListener.onVideoSizeChanged(mMediaPlayer, msg.arg1,
+                                msg.arg2);
                     return;
-                if (msg.obj == null) {
-                    mOnTimedTextListener.onTimedText(mMediaPlayer, null);
-                } else {
+
+                case MEDIA_ERROR:
+                    Log.e(TAG, "Error (" + msg.arg1 + "," + msg.arg2 + ")");
+                    boolean error_was_handled = false;
+                    if (mOnErrorListener != null) {
+                        error_was_handled = mOnErrorListener.onError(mMediaPlayer, msg.arg1,
+                                msg.arg2);
+                    }
+                    if (mOnCompletionListener != null && !error_was_handled) {
+                        mOnCompletionListener.onCompletion(mMediaPlayer);
+                    }
+                    stayAwake(false);
+                    return;
+
+                case MEDIA_INFO:
+                    switch (msg.arg1) {
+                        case MEDIA_INFO_VIDEO_TRACK_LAGGING:
+                            Log.i(TAG, "Info (" + msg.arg1 + "," + msg.arg2 + ")");
+                            break;
+                        case MEDIA_INFO_METADATA_UPDATE:
+                            scanInternalSubtitleTracks();
+                            // fall through
+
+                        case MEDIA_INFO_EXTERNAL_METADATA_UPDATE:
+                            msg.arg1 = MEDIA_INFO_METADATA_UPDATE;
+                            // update default track selection
+                            mSubtitleController.selectDefaultTrack();
+                            break;
+                    }
+
+                    if (mOnInfoListener != null) {
+                        mOnInfoListener.onInfo(mMediaPlayer, msg.arg1, msg.arg2);
+                    }
+                    // No real default action so far.
+                    return;
+                case MEDIA_TIMED_TEXT:
+                    if (mOnTimedTextListener == null)
+                        return;
+                    if (msg.obj == null) {
+                        mOnTimedTextListener.onTimedText(mMediaPlayer, null);
+                    } else {
+                        if (msg.obj instanceof Parcel) {
+                            Parcel parcel = (Parcel) msg.obj;
+                            TimedText text = new TimedText(parcel);
+                            parcel.recycle();
+                            mOnTimedTextListener.onTimedText(mMediaPlayer, text);
+                        }
+                    }
+                    return;
+
+                case MEDIA_SUBTITLE_DATA:
+                    if (mOnSubtitleDataListener == null) {
+                        return;
+                    }
                     if (msg.obj instanceof Parcel) {
-                        Parcel parcel = (Parcel)msg.obj;
-                        TimedText text = new TimedText(parcel);
+                        Parcel parcel = (Parcel) msg.obj;
+                        SubtitleData data = new SubtitleData(parcel);
                         parcel.recycle();
-                        mOnTimedTextListener.onTimedText(mMediaPlayer, text);
+                        mOnSubtitleDataListener.onSubtitleData(mMediaPlayer, data);
                     }
-                }
-                return;
-
-            case MEDIA_SUBTITLE_DATA:
-                if (mOnSubtitleDataListener == null) {
                     return;
-                }
-                if (msg.obj instanceof Parcel) {
-                    Parcel parcel = (Parcel) msg.obj;
-                    SubtitleData data = new SubtitleData(parcel);
-                    parcel.recycle();
-                    mOnSubtitleDataListener.onSubtitleData(mMediaPlayer, data);
-                }
-                return;
 
-            case MEDIA_NOP: // interface test message - ignore
-                break;
+                case MEDIA_NOP: // interface test message - ignore
+                    break;
 
-            default:
-                Log.e(TAG, "Unknown message type " + msg.what);
-                return;
+                default:
+                    Log.e(TAG, "Unknown message type " + msg.what);
+                    return;
             }
         }
     }
 
     /*
-     * Called from native code when an interesting event happens.  This method
-     * just uses the EventHandler system to post the event back to the main app thread.
-     * We use a weak reference to the original MediaPlayer object so that the native
-     * code is safe from the object disappearing from underneath it.  (This is
-     * the cookie passed to native_setup().)
+     * Called from native code when an interesting event happens. This method
+     * just uses the EventHandler system to post the event back to the main app
+     * thread. We use a weak reference to the original MediaPlayer object so
+     * that the native code is safe from the object disappearing from underneath
+     * it. (This is the cookie passed to native_setup().)
      */
     private static void postEventFromNative(Object mediaplayer_ref,
-                                            int what, int arg1, int arg2, Object obj)
+            int what, int arg1, int arg2, Object obj)
     {
-        MediaPlayer mp = (MediaPlayer)((WeakReference)mediaplayer_ref).get();
+        MediaPlayer mp = (MediaPlayer) ((WeakReference) mediaplayer_ref).get();
         if (mp == null) {
             return;
         }
 
         if (what == MEDIA_INFO && arg1 == MEDIA_INFO_STARTED_AS_NEXT) {
-            // this acquires the wakelock if needed, and sets the client side state
+            // this acquires the wakelock if needed, and sets the client side
+            // state
             mp.start();
         }
         if (mp.mEventHandler != null) {
@@ -2337,23 +3745,23 @@
     }
 
     /**
-     * Interface definition for a callback to be invoked when the media
-     * source is ready for playback.
+     * Interface definition for a callback to be invoked when the media source
+     * is ready for playback.
      */
     public interface OnPreparedListener
     {
         /**
          * Called when the media file is ready for playback.
-         *
+         * 
          * @param mp the MediaPlayer that is ready for playback
          */
         void onPrepared(MediaPlayer mp);
     }
 
     /**
-     * Register a callback to be invoked when the media source is ready
-     * for playback.
-     *
+     * Register a callback to be invoked when the media source is ready for
+     * playback.
+     * 
      * @param listener the callback that will be run
      */
     public void setOnPreparedListener(OnPreparedListener listener)
@@ -2364,23 +3772,23 @@
     private OnPreparedListener mOnPreparedListener;
 
     /**
-     * Interface definition for a callback to be invoked when playback of
-     * a media source has completed.
+     * Interface definition for a callback to be invoked when playback of a
+     * media source has completed.
      */
     public interface OnCompletionListener
     {
         /**
          * Called when the end of a media source is reached during playback.
-         *
+         * 
          * @param mp the MediaPlayer that reached the end of the file
          */
         void onCompletion(MediaPlayer mp);
     }
 
     /**
-     * Register a callback to be invoked when the end of a media source
-     * has been reached during playback.
-     *
+     * Register a callback to be invoked when the end of a media source has been
+     * reached during playback.
+     * 
      * @param listener the callback that will be run
      */
     public void setOnCompletionListener(OnCompletionListener listener)
@@ -2399,22 +3807,22 @@
         /**
          * Called to update status in buffering a media stream received through
          * progressive HTTP download. The received buffering percentage
-         * indicates how much of the content has been buffered or played.
-         * For example a buffering update of 80 percent when half the content
-         * has already been played indicates that the next 30 percent of the
-         * content to play has been buffered.
-         *
-         * @param mp      the MediaPlayer the update pertains to
-         * @param percent the percentage (0-100) of the content
-         *                that has been buffered or played thus far
+         * indicates how much of the content has been buffered or played. For
+         * example a buffering update of 80 percent when half the content has
+         * already been played indicates that the next 30 percent of the content
+         * to play has been buffered.
+         * 
+         * @param mp the MediaPlayer the update pertains to
+         * @param percent the percentage (0-100) of the content that has been
+         *            buffered or played thus far
          */
         void onBufferingUpdate(MediaPlayer mp, int percent);
     }
 
     /**
-     * Register a callback to be invoked when the status of a network
-     * stream's buffer has changed.
-     *
+     * Register a callback to be invoked when the status of a network stream's
+     * buffer has changed.
+     * 
      * @param listener the callback that will be run.
      */
     public void setOnBufferingUpdateListener(OnBufferingUpdateListener listener)
@@ -2425,14 +3833,14 @@
     private OnBufferingUpdateListener mOnBufferingUpdateListener;
 
     /**
-     * Interface definition of a callback to be invoked indicating
-     * the completion of a seek operation.
+     * Interface definition of a callback to be invoked indicating the
+     * completion of a seek operation.
      */
     public interface OnSeekCompleteListener
     {
         /**
          * Called to indicate the completion of a seek operation.
-         *
+         * 
          * @param mp the MediaPlayer that issued the seek operation
          */
         public void onSeekComplete(MediaPlayer mp);
@@ -2441,7 +3849,7 @@
     /**
      * Register a callback to be invoked when a seek operation has been
      * completed.
-     *
+     * 
      * @param listener the callback that will be run
      */
     public void setOnSeekCompleteListener(OnSeekCompleteListener listener)
